Skip to main content
GET
/
api
/
v1
/
traces
cURL
curl --request GET \
  --url https://api.staging.qyl.dev/api/v1/traces
import requests

url = "https://api.staging.qyl.dev/api/v1/traces"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.staging.qyl.dev/api/v1/traces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "trace_id": "0af7651916cd43dd8448eb211c80319c",
      "spans": [
        {
          "span_id": "b7ad6b7169203331",
          "trace_id": "0af7651916cd43dd8448eb211c80319c",
          "name": "<string>",
          "start_time_unix_nano": 123,
          "end_time_unix_nano": 123,
          "status": {
            "message": "<string>"
          },
          "resource": {
            "service.name": "<string>",
            "service.namespace": "<string>",
            "service.instance.id": "<string>",
            "service.version": "2.1.0",
            "telemetry.sdk.name": "<string>",
            "telemetry.sdk.version": "2.1.0",
            "telemetry.auto.version": "2.1.0",
            "deployment.environment.name": "<string>",
            "cloud.region": "<string>",
            "cloud.availability_zone": "<string>",
            "cloud.account.id": "<string>",
            "cloud.platform": "<string>",
            "host.name": "<string>",
            "host.id": "<string>",
            "host.type": "<string>",
            "os.description": "<string>",
            "os.version": "<string>",
            "process.pid": 123,
            "process.executable.name": "<string>",
            "process.command_line": "<string>",
            "process.runtime.name": "<string>",
            "process.runtime.version": "<string>",
            "container.id": "<string>",
            "container.name": "<string>",
            "container.image.name": "<string>",
            "container.image.tag": "<string>",
            "k8s.cluster.name": "<string>",
            "k8s.namespace.name": "<string>",
            "k8s.pod.name": "<string>",
            "k8s.pod.uid": "<string>",
            "k8s.deployment.name": "<string>",
            "attributes": [
              {
                "key": "<string>",
                "value": "<string>"
              }
            ],
            "dropped_attributes_count": 1
          },
          "parent_span_id": "b7ad6b7169203331",
          "trace_state": "rojo=00f067aa0ba902b7,congo=t61rcWkgMzE",
          "attributes": [
            {
              "key": "<string>",
              "value": "<string>"
            }
          ],
          "dropped_attributes_count": 1,
          "events": [
            {
              "name": "<string>",
              "time_unix_nano": 123,
              "attributes": [
                {
                  "key": "<string>",
                  "value": "<string>"
                }
              ],
              "dropped_attributes_count": 1
            }
          ],
          "dropped_events_count": 1,
          "links": [
            {
              "trace_id": "0af7651916cd43dd8448eb211c80319c",
              "span_id": "b7ad6b7169203331",
              "trace_state": "rojo=00f067aa0ba902b7,congo=t61rcWkgMzE",
              "attributes": [
                {
                  "key": "<string>",
                  "value": "<string>"
                }
              ],
              "dropped_attributes_count": 1,
              "flags": 123
            }
          ],
          "dropped_links_count": 1,
          "flags": 123,
          "instrumentation_scope": {
            "name": "<string>",
            "version": "2.1.0",
            "attributes": [
              {
                "key": "<string>",
                "value": "<string>"
              }
            ],
            "dropped_attributes_count": 1
          }
        }
      ],
      "span_count": 123,
      "duration_ns": 1,
      "start_time": "2023-11-07T05:31:56Z",
      "end_time": "2023-11-07T05:31:56Z",
      "services": [
        "<string>"
      ],
      "has_error": true,
      "root_span": {
        "span_id": "b7ad6b7169203331",
        "trace_id": "0af7651916cd43dd8448eb211c80319c",
        "name": "<string>",
        "start_time_unix_nano": 123,
        "end_time_unix_nano": 123,
        "status": {
          "message": "<string>"
        },
        "resource": {
          "service.name": "<string>",
          "service.namespace": "<string>",
          "service.instance.id": "<string>",
          "service.version": "2.1.0",
          "telemetry.sdk.name": "<string>",
          "telemetry.sdk.version": "2.1.0",
          "telemetry.auto.version": "2.1.0",
          "deployment.environment.name": "<string>",
          "cloud.region": "<string>",
          "cloud.availability_zone": "<string>",
          "cloud.account.id": "<string>",
          "cloud.platform": "<string>",
          "host.name": "<string>",
          "host.id": "<string>",
          "host.type": "<string>",
          "os.description": "<string>",
          "os.version": "<string>",
          "process.pid": 123,
          "process.executable.name": "<string>",
          "process.command_line": "<string>",
          "process.runtime.name": "<string>",
          "process.runtime.version": "<string>",
          "container.id": "<string>",
          "container.name": "<string>",
          "container.image.name": "<string>",
          "container.image.tag": "<string>",
          "k8s.cluster.name": "<string>",
          "k8s.namespace.name": "<string>",
          "k8s.pod.name": "<string>",
          "k8s.pod.uid": "<string>",
          "k8s.deployment.name": "<string>",
          "attributes": [
            {
              "key": "<string>",
              "value": "<string>"
            }
          ],
          "dropped_attributes_count": 1
        },
        "parent_span_id": "b7ad6b7169203331",
        "trace_state": "rojo=00f067aa0ba902b7,congo=t61rcWkgMzE",
        "attributes": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "dropped_attributes_count": 1,
        "events": [
          {
            "name": "<string>",
            "time_unix_nano": 123,
            "attributes": [
              {
                "key": "<string>",
                "value": "<string>"
              }
            ],
            "dropped_attributes_count": 1
          }
        ],
        "dropped_events_count": 1,
        "links": [
          {
            "trace_id": "0af7651916cd43dd8448eb211c80319c",
            "span_id": "b7ad6b7169203331",
            "trace_state": "rojo=00f067aa0ba902b7,congo=t61rcWkgMzE",
            "attributes": [
              {
                "key": "<string>",
                "value": "<string>"
              }
            ],
            "dropped_attributes_count": 1,
            "flags": 123
          }
        ],
        "dropped_links_count": 1,
        "flags": 123,
        "instrumentation_scope": {
          "name": "<string>",
          "version": "2.1.0",
          "attributes": [
            {
              "key": "<string>",
              "value": "<string>"
            }
          ],
          "dropped_attributes_count": 1
        }
      }
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "prev_cursor": "<string>"
}
{
"type": "about:blank",
"title": "Validation Failed",
"status": 123,
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"rejected_value": "<string>"
}
],
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
{
"type": "about:blank",
"title": "Not Found",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_type": "<string>",
"resource_id": "<string>"
}
{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}

Query Parameters

serviceName
string

Service name filter

minDurationMs
integer<int64>

Minimum duration in ms

maxDurationMs
integer<int64>

Maximum duration in ms

status
enum<number>

Status filter Span status code

Available options:
0,
1,
2
startTime
string<date-time>

Start time

endTime
string<date-time>

End time

limit
integer<int32>
default:100

Page size

Required range: 1 <= x <= 1000
cursor
string

Cursor for pagination

Response

The request has succeeded.

Cursor-based paginated response wrapper

items
object[]
required

List of items in this page

has_more
boolean
required

Whether there are more items available

next_cursor
string

Cursor for the next page (null if no more pages)

prev_cursor
string

Cursor for the previous page (null if first page)